Bug 15588 - Unexplained system reboot after 12 minutes of inactivity
Unexplained system reboot after 12 minutes of inactivity
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
low Severity high
: ---
: ---
Assigned To: Michael K. Johnson
http://www.graflex.org/pinstripe-mess...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-06 20:25 EDT by Leigh L. Klotz, Jr.
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 14:17:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of last (16.80 KB, text/plain)
2000-08-07 01:49 EDT, Leigh L. Klotz, Jr.
no flags Details

  None (edit)
Description Leigh L. Klotz, Jr. 2000-08-06 20:25:33 EDT
See also bug 15587 for other unusual behaviors on this system.
I have by default assigned this to kernel but I have no idea what's happening yet.

I am using 10BaseT on an SMC 1211TX 10/100 EZ network card RealTek rtl8139.c driver
at 0xf800, irq 9.  

I amusing telnet from another machine to access this one.  It crashes and reboots every 5-10 minutes, and ftp'ing a big file.
It appears to be stable overnight when I am not using the network (or perhaps when I am not doing lots of file i/o -- not sure).

/var/log/messages has nothing illuminating in it (no panics, etc.)  "last" shows a crash but no other info.  I grep'd for "panic"
and "crash" in /var/log/* but no news.


See the URL for the last 200 lines of /var/log/messages.  Last reboot was apparently between 17:02 and 17:13.

I previously had a Lucent USB card and an Adaptec SCSI card u2940 but have removed them both.
Comment 1 Leigh L. Klotz, Jr. 2000-08-07 01:47:45 EDT
Actually, I now see that it's been rebooting a lot and I didn't notice.  I was not running anything on it.
Comment 2 Leigh L. Klotz, Jr. 2000-08-07 01:49:28 EDT
Created attachment 2154 [details]
output of last
Comment 3 Leigh L. Klotz, Jr. 2000-08-07 14:21:57 EDT
Tonight I will try removing the ethernet card.  It reboots every 7-8 minutes as 
it is, even with no FTP running.  Any suggestions about levels of trace/debug 
to set would be appreciated.
Comment 4 Alan Cox 2000-08-07 20:29:14 EDT
Is this an i820 or i840 based motherboard with SDRAM rather than RAMBUS memory>
Comment 5 Leigh L. Klotz, Jr. 2000-08-08 14:17:27 EDT
This is a VS440*X (FX, I think) with a 200 MHZ Pentium Pro or Pentium MMX
and 128MB memory, either EDO or FPM, not sure at the moment.

I removed the ethernet card and it still reboots.  I noticed that it was
pretty consistnt at 12 minutes, and when I was actively typing it didn't
"seem" to happen, so I suspected APMD.  I stopped apmd and set it to manual
start with linuxconf but the problem was still there, every 12 minutes.

I have now removed ethernet card, removed all other cards except video,
removed floppy drive (don't ask), removed all services via linuxconf that
it seemed safe to remove (i.e. i left log daemons and keytable and so on
but removed all cron/anacron/at/network etc. services).  
I will report back tonight (it's at home and I can't test it from here
because I've removed the network).

I would suspect flakey hardware if it were random, but it's pretty consistent
at 12 minutes.

Comment 6 Leigh L. Klotz, Jr. 2000-08-09 02:31:36 EDT
Ok, I found the problem -- it was APM.  Disabling the APM daemon had no effect, though.
The BIOS had a power management option with an inactivity timeout of 10 minutes, and
with IDE power down enabled.

When I disabled power management competely in the BIOS and the problem went away. 
I did not run RH 6.2 on the system so I do not know if it is an issue there.
I am marking this as WORKSFORME because there is a hardware workaround, but I note that
NT ran ok with these bios settings.




Note You need to log in before you can comment on or make changes to this bug.